import Session from './Session';
import { Params } from './sql/NamedParamSql';
import { ResultRoot } from './mapper/ResultMapper';
export default class NativeBuilder {
    private session;
    private _params;
    private _sql?;
    private _mapper?;
    constructor(session: Session);
    sql(sql: string): this;
    param(key: string, value: any): this;
    params(params: Params): this;
    mapper(mapper: ResultRoot): this;
    queryAll(): Promise<any[]>;
    queryOne(): Promise<any | undefined>;
    update(): Promise<number>;
}
