import { SqlLogicOp } from '../sql/SqlNode';
declare const _default: {
    new (): {
        genLogicOp(op: SqlLogicOp): string;
        gen(node: import("../sql/SqlNode").default): string;
        genQuery(sqlQuery: import("../sql/SqlNode").SqlQuery): string;
        genSelect(select: import("../sql/SqlNode").SqlColumn[]): string;
        genSelectColumn(column: import("../sql/SqlNode").SqlColumn): string;
        genFrom(from: import("../sql/SqlNode").SqlForm): string;
        genFromSqlTable(sqlTable: import("../sql/SqlNode").SqlTable): string;
        genJoins(joins: import("../sql/SqlNode").SqlJoin[]): string;
        genJoin(join: import("../sql/SqlNode").SqlJoin): string;
        genExp(exp: import("../sql/SqlNode").SqlExp): string;
        genColumn(column: import("../sql/SqlNode").SqlColumn): string;
        genParam(param: import("../sql/SqlNode").SqlParam): string;
        genValue(right: import("../sql/SqlNode").SqlValue): string;
        genCompareOp(op: import("../sql/SqlNode").SqlCompareOp): string;
        genWhere(where: import("../sql/SqlNode").SqlExp[]): string;
        genOrders(orders: import("../sql/SqlNode").SqlOrder[]): string;
        genPage(page: import("../sql/SqlNode").SqlPage): string;
        genInsert(insert: import("../sql/SqlNode").SqlInsert): string;
        genUpdate(update: import("../sql/SqlNode").SqlUpdate): string;
        genDelete(node: import("../sql/SqlNode").SqlDelete): string;
    };
};
export = _default;
