import { ResultRoot } from './ResultMapper';
import { DataType } from '../Schema';
export interface ResultOptions {
    name?: string;
    type?: DataType;
    id?: boolean;
    object?: boolean;
    array?: boolean;
    column?: boolean;
    field?: string;
    children?: ResultOptions[];
}
export declare function id(options?: ResultOptions): ResultOptions;
export declare function column(name: string, options?: ResultOptions): ResultOptions;
export declare function object(name: string, children: ResultOptions[]): ResultOptions;
export declare function array(name: string, children: ResultOptions[]): ResultOptions;
export default class Mapper {
    static create(children: (ResultOptions | string)[]): ResultRoot;
}
