import { DataType } from '../Schema';
export declare type Params = {
    [name: string]: any;
};
/**
 * select * from user where id = $id
 */
export default class NamedParamSql {
    private params;
    readonly sql: string;
    generatedKey: boolean;
    private paramNames;
    idType?: DataType;
    static create(sql: string, params?: Params): NamedParamSql;
    constructor(sql: string, params?: Params);
    private getParamString;
    private getParam;
    getParamArray(): Array<object | undefined>;
    getParamObject(): {
        [key: string]: any;
    };
    toString(): string;
}
