import Session from './Session';
export default class QueryBuilder {
    private session;
    private _page?;
    private _size?;
    private _offset?;
    private _limit?;
    private _orql?;
    private _params;
    constructor(session: Session);
    page(page: number, size?: number): QueryBuilder;
    size(size: number): QueryBuilder;
    offset(offset: number): QueryBuilder;
    limit(limit: number): QueryBuilder;
    orql(orql: string): QueryBuilder;
    param(key: string, value: any): QueryBuilder;
    queryOne(): Promise<any | undefined>;
    queryAll(): Promise<any[]>;
    count(): Promise<number>;
}
