import { AssociationOptions, ColumnOptions, DataType } from './Schema';
import OrqlExecutor from './OrqlExecutor';
export declare function intPkAndGk(): ColumnOptions;
export declare function longPkAndGk(): ColumnOptions;
export declare function belongsTo(refName: string, options?: AssociationOptions): AssociationOptions;
export declare function hasMany(refName: string, options?: AssociationOptions): AssociationOptions;
export declare function hasOne(refName: string, options?: AssociationOptions): AssociationOptions;
export declare function belongsToMany(refName: string, middleName: string, options?: AssociationOptions): AssociationOptions;
export { DataType, OrqlExecutor };
export default OrqlExecutor;
