import { OrqlItem } from 'orql-parser/lib/OrqlNode';
import { ResultRoot } from './ResultMapper';
import SchemaManager from '../SchemaManager';
/**
 * 负责将orql node转化为result mapper
 */
export default class OrqlResultMapper {
    private caches;
    private schemaManager;
    constructor(schemaManager: SchemaManager);
    toResult(item: OrqlItem): ResultRoot;
    private _toResult;
}
